Bug 1461838 - RFE: Add "process" rule for recommend_profile
RFE: Add "process" rule for recommend_profile
Status: VERIFIED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned (Show other bugs)
7.4
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Jaroslav Škarvada
Meng Bo
: FutureFeature, Patch, Upstream
Depends On:
Blocks: 1465887 TUNED-7.5-REBASE 1485946
  Show dependency treegraph
 
Reported: 2017-06-15 08:34 EDT by jmencak
Modified: 2017-10-29 17:12 EDT (History)
9 users (show)

See Also:
Fixed In Version: tuned-2.9.0-0.1.rc1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmencak 2017-06-15 08:34:11 EDT
Description of problem:
There is currently no way of "recommend"ing a profile based on processes running on the system.  I believe it would be useful if a "tuned" user could specify (in /etc/tuned/recommend.conf) something like

[my-profile-based-on-existing-process-name]
process=<regex>

Multiple process=<regex> key-value pairs within a profile section would serve as a logical AND condition, i.e. the profile would only be selected if all processes were running on the system.

Version-Release number of selected component (if applicable):
tuned-2.8.0-4.el7.noarch

Additional information:
At the moment the motivation for this is selecting a tuned profile for an Openshift router based on the presence of a haproxy process, but I'm sure there might be other use cases.
Comment 2 Jaroslav Škarvada 2017-06-15 10:24:59 EDT
I think it will be beneficial.

Unfortunately the current parser (configobj) doesn't allow multiple keywords (i.e. multiple 'process=regex' lines), but it shouldn't be problem to differentiate it by unique suffix, e.g.:

process=regex1
process1=regex2
process2=regex3
Comment 3 Jaroslav Škarvada 2017-06-15 12:24:01 EDT
Upstream patch adding this functionality:
https://github.com/redhat-performance/tuned/commit/5a2ea01f719c096dd8abdf3050e8b34b9d30ce2b
Comment 5 jmencak 2017-06-16 03:32:05 EDT
Tested upstream patch in #3, works fine.
Comment 9 Fedora Update System 2017-10-13 10:19:53 EDT
tuned-2.9.0-0.1.rc1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d9c6b990df
Comment 10 Fedora Update System 2017-10-13 18:24:47 EDT
tuned-2.9.0-0.1.rc1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d9c6b990df
Comment 11 Fedora Update System 2017-10-13 19:24:37 EDT
tuned-2.9.0-0.1.rc1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5f0849d207
Comment 12 zhaozhanqi 2017-10-16 03:45:39 EDT
Verified this bug with # tuned -v
tuned 2.9.0

the node can get the correct value

# sysctl -a | grep ipv4.neigh.default.gc_thresh
sysctl: reading key "net.ipv6.conf.all.stable_secret"
net.ipv4.neigh.default.gc_thresh1 = 8192
net.ipv4.neigh.default.gc_thresh2 = 32768
net.ipv4.neigh.default.gc_thresh3 = 65536
Comment 14 Fedora Update System 2017-10-29 17:06:10 EDT
tuned-2.9.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0e45ce4685
Comment 15 Fedora Update System 2017-10-29 17:12:20 EDT
tuned-2.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c30e9bd1ea

Note You need to log in before you can comment on or make changes to this bug.